Bug 28405 - Add author info to the holds page in the staff interface
Summary: Add author info to the holds page in the staff interface
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-20 17:05 UTC by Jason Robb
Modified: 2022-02-18 11:40 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This patch adds the author name to place a hold page (request.tt)
Version(s) released in:
22.05.00


Attachments
Bug 28405: add author name to request.tt when it exists (1.11 KB, patch)
2021-05-20 20:24 UTC, Lucas Gass
Details | Diff | Splinter Review
One-name author (8.50 KB, image/png)
2021-05-21 21:00 UTC, Barbara Johnson
Details
author on same line (11.05 KB, image/png)
2021-05-21 21:01 UTC, Barbara Johnson
Details
Bug 28405: add author name to request.tt when it exists (1.19 KB, patch)
2021-06-14 20:35 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28405: add author name to request.tt when it exists (1.25 KB, patch)
2021-06-14 23:03 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 28405: add author name to request.tt when it exists (1.19 KB, patch)
2022-01-20 22:08 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28405: add author name to request.tt when it exists (1.26 KB, patch)
2022-01-24 18:32 UTC, Biblibre Sandboxes
Details | Diff | Splinter Review
Bug 28405: add author name to request.tt when it exists (1.30 KB, patch)
2022-02-07 17:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 28405: Add author for multi holds view (2.50 KB, patch)
2022-02-08 18:04 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 28405: add author name to request.tt when it exists (1.36 KB, patch)
2022-02-13 12:59 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28405: Add author for multi holds view (2.55 KB, patch)
2022-02-13 12:59 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Robb 2021-05-20 17:05:15 UTC
Currently if you are placing a hold on a record in the staff client and want to double-check the author of the title, you have to click off to another page. It would be helpful to have the author information below the title information as it is on other pages.

Currently, author information is already present on the "Checkout history" page (catalogue/issuehistory.pl) and the "Items" page (catalogue/moredetail.pl) so it would add some consistency to have it also present on the "Holds" page (reserve/request.pl).
Comment 1 George Williams (NEKLS) 2021-05-20 17:05:59 UTC
It would be nice to have this information on that page.
Comment 2 Barbara Johnson 2021-05-20 18:00:57 UTC
Having the author display on this page would be a big help and real time saver.
Comment 3 Lucas Gass 2021-05-20 20:24:04 UTC Comment hidden (obsolete)
Comment 4 Barbara Johnson 2021-05-21 21:00:06 UTC
A few things I noted during testing:

If the author is in a 110 or 130 tag instead of a 100 tag it does not display.  We don't have a lot of instances of this since we are a public library but it might matter to educational and special libraries.

When the author is a one-named person (such as Lee in the screenshot) the display looks a little odd. It's a little confusing that the name Lee is just sort of floating there on the screen - it doesn't feel like it is connected to the title.

Even with a standard author with first and last name it still doesn't feel quite connected to the title.  This may not be possible, or preferable, but I wonder if it would be better to have the author display after the title on one line (see screenshot)
Comment 5 Barbara Johnson 2021-05-21 21:00:43 UTC
Created attachment 121290 [details]
One-name author
Comment 6 Barbara Johnson 2021-05-21 21:01:02 UTC
Created attachment 121291 [details]
author on same line
Comment 7 Salman Ali 2021-06-11 15:40:22 UTC
I think Barbara is right and that the author name should be next to the title because it doesn't feel like it's connected to the title when it's placed below.
Comment 8 Lucas Gass 2021-06-14 20:35:34 UTC Comment hidden (obsolete)
Comment 9 PTFS Europe Sandboxes 2021-06-14 23:03:28 UTC
Created attachment 121940 [details] [review]
Bug 28405: add author name to request.tt when it exists

To test:
1. Place a hold and observe request.tt
2. No author name
3. Apply patch
4. Reload request.tt
5. Author name should appear on the same line as the title.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 10 Katrin Fischer 2021-07-25 01:20:29 UTC
I believe the separator / is unnecessary. The title will already end with : or / (ISBD punctuation) and then the separator is doubled up.

If we want to match with other places, maybe we should replace it with "by" as UNIMARC doesn't use punctuation. 

I also wonder if it would be nice to include an author option in the code for the title that takes care of that by also checking the MARC flavor... or removing additional ending punctuation.

Just putting this here for now, I'd be happy with almost anything, but : / and // don't look nice right now.
Comment 11 Owen Leonard 2021-07-26 11:14:42 UTC
I agree that the "/" is unnecessary.
Comment 12 Lucas Gass 2022-01-20 22:08:16 UTC
Created attachment 129678 [details] [review]
Bug 28405: add author name to request.tt when it exists

To test:
1. Place a hold and observe request.tt
2. No author name
3. Apply patch
4. Reload request.tt
5. Author name should appear on the same line as the title.
Comment 13 Biblibre Sandboxes 2022-01-24 18:32:40 UTC
Created attachment 129735 [details] [review]
Bug 28405: add author name to request.tt when it exists

To test:
1. Place a hold and observe request.tt
2. No author name
3. Apply patch
4. Reload request.tt
5. Author name should appear on the same line as the title.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 14 Katrin Fischer 2022-02-05 12:58:48 UTC
Why the WONTFIX? 

I hope it was not my comment, I'd be happy just with the double punctuation removed.
Comment 15 Lucas Gass 2022-02-07 15:01:19 UTC
(In reply to Katrin Fischer from comment #14)
> Why the WONTFIX? 
> 
> I hope it was not my comment, I'd be happy just with the double punctuation
> removed.

If I set this to WONTFIX, it was accidental. I believe the proper status should now be 'Signed off'
Comment 16 Kyle M Hall 2022-02-07 17:25:45 UTC
Created attachment 130244 [details] [review]
Bug 28405: add author name to request.tt when it exists

To test:
1. Place a hold and observe request.tt
2. No author name
3. Apply patch
4. Reload request.tt
5. Author name should appear on the same line as the title.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: AUTHORNAME <george@nekls.org>
Comment 17 Jonathan Druart 2022-02-08 18:04:19 UTC
Created attachment 130337 [details] [review]
Bug 28405: Add author for multi holds view
Comment 18 Jonathan Druart 2022-02-08 18:04:40 UTC
Do we want to display the author for the multi-holds view as well?
Comment 19 Katrin Fischer 2022-02-13 12:59:02 UTC
Created attachment 130534 [details] [review]
Bug 28405: add author name to request.tt when it exists

To test:
1. Place a hold and observe request.tt
2. No author name
3. Apply patch
4. Reload request.tt
5. Author name should appear on the same line as the title.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: George Williams <george@nekls.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 20 Katrin Fischer 2022-02-13 12:59:07 UTC
Created attachment 130535 [details] [review]
Bug 28405: Add author for multi holds view

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 21 Katrin Fischer 2022-02-13 13:00:02 UTC
(In reply to Jonathan Druart from comment #18)
> Do we want to display the author for the multi-holds view as well?

Yes, but you've already done it :)

I have updated George's sign-off line:
Signed-off-by: AUTHORNAME <george@nekls.org>
Signed-off-by: George Williams <george@nekls.org>
Comment 22 Fridolin Somers 2022-02-15 07:42:20 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄